EEPGET(1)

NUME
Eepget - I2P downloader

REZUMAT
eepget [options]URL

DESCRIERE

Descărcați un fișier fără interacțiune prin HTTP. Sunt acceptate transferurile atât prin I2P, cât și prin internetul obișnuit.

Eepget este capabil să facă față conexiunilor de rețea lente sau instabile; dacă o descărcare nu este reușită din cauza unei probleme de rețea, aceasta va continua să reîncerce până când întregul fișier va fi recuperat (dacă opțiunea -n este setată). Dacă este acceptat de serverul de la distanță, eepget va instrui serverul să continue descărcarea din punctul de întrerupere.

OPȚIUNI
-c

Clearnet. Nu folosiți un proxy. La fel ca -p: 0.

-e etag

Setează valoarea etag în anteturile cererii.

-h nume = valoare

Adaugă un antet de solicitare arbitrară cu numele și valoarea dată.

-l linieLen

Controlează afișarea progresului.  lineLen este lungimea unei linii de progres în caractere. Valoarea implicită este 40.

-mMarcă Dimensiune

Controlează afișarea progresului.  markSize este numărul de bytes pe care îl reprezintă un caracter „#”. Valoarea implicită este 1024.

-n reîncercările

Specificați numărul de ori pentru a reîncărca descărcarea dacă descărcarea nu are succes. Dacă această opțiune nu este specificată, eepget nu va reîncerca.

-o fisier

Setează fișierul de ieșire la care să scrie. Dacă această opțiune nu este dată, numele fișierului de ieșire va fi determinat de adresa URL.

-p proxy_host[:port]

Specifica un server proxy I2P (eeproxy) pentru a fi utilizat. Dacă portul nu este specificat, eepget va utiliza 4444. Dacă această opțiune nu este specificată, eepget va utiliza 127.0.0.1:4444. Specificați -c sau -p: 0 pentru a dezactiva eeproxiul.

-t secunde

Setează timpul de inactivitate. Valoarea implicită este de 60 de secunde.

-u Numele utilizatorului

Setează numele de utilizator pentru autorizarea proxy, dacă este necesar.

-xParola

Setează parola pentru autorizarea proxy, dacă este necesar. Dacă este specificat un nume de utilizator, dar nu o parolă, EepGet vă va solicita parola.

STATUS IEȘIRE
eepget iesiri cu status zero la transferul reușit și non-zero dacă au fost probleme cu descărcarea.

Raportarea erorilor
Please enter an issue on the I2P GitLab server (https://i2pgit.org/i2p-hackers/i2p.i2p/-/issues).

VEZI SI
i2prouter(1) curl(1) wget(1)